edu.isi.pegasus.planner.dax

## Enum File.TRANSFER

- java.lang.Object
- - java.lang.Enum<File.TRANSFER>
  - - edu.isi.pegasus.planner.dax.File.TRANSFER

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<File.TRANSFER>

Enclosing class:
  File

    public static enum File.TRANSFER
    extends java.lang.Enum<File.TRANSFER>

Three Transfer modes supported, Transfer this file, don't transfer or stageout as well as optional. Dont mark transfer or absence as a failure

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FALSE`
`OPTIONAL`
`TRUE`

### Method Summary

All Methods Static Methods Concrete Methods
`static File.TRANSFER` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static File.TRANSFER[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TRUE

    public static final File.TRANSFER TRUE

#### FALSE

    public static final File.TRANSFER FALSE

#### OPTIONAL

    public static final File.TRANSFER OPTIONAL

### Method Detail

#### values

    public static File.TRANSFER[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (File.TRANSFER c : File.TRANSFER.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static File.TRANSFER valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null